Bug 160063 - [PATCH] deskutils/conduit: eliminate py-pysqlite2x dependency
Summary: [PATCH] deskutils/conduit: eliminate py-pysqlite2x dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 14:40 UTC by R.Mahmatkhanov
Modified: 2011-09-12 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.43 KB, patch)
2011-08-24 14:40 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-08-24 14:40:10 UTC
- since this port requires python2.5+ (with USE_PYTHON) switch to databases/py-sqlite3  instead of databases/py-pysqlite2x that is for python24
- while here use ${PYTHON_PKGNAMEPREFIX} instead of "py-*"
- bimp portrevision because of this deps changes

I checked the code and they use this pattern when dealing with sqlite:
"""
try:
    from sqlite3 import dbapi2 as sqlite
except ImportError:
    from pysqlite2 import dbapi2 as sqlite
"""

So nothing will be broken with sqlite3.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-24 14:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2011-08-31 23:49:30 UTC
Responsible Changed
From-To: gnome->eadler

I'll take it.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2011-09-01 14:11:33 UTC
Responsible Changed
From-To: eadler->gnome

woops, gnome owns this one
Comment 4 dfilter service freebsd_committer 2011-09-12 19:24:25 UTC
kwm         2011-09-12 18:24:12 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/conduit    Makefile 
  Log:
  Switch to using py-sqlite3.
  replace a py-* with ${PYTHON_PKGNAMEPREFIX}
  
  PR:             ports/160063
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.28      +5 -5      ports/deskutils/conduit/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Koop Mast freebsd_committer 2011-09-12 19:24:26 UTC
State Changed
From-To: open->closed

Committed thanks!